package com.rnalice

import android.content.Intent
import android.os.Bundle
import com.alicebiometrics.onboarding.api.Onboarding
import com.alicebiometrics.onboarding.config.OnboardingConfig
import com.facebook.react.ReactActivity
import androidx.appcompat.app.AppCompatActivity
import com.alicebiometrics.onboarding.api.OnboardingCommandResult
import com.alicebiometrics.onboarding.api.OnboardingCommands



class CommandAuthenticateActivity : ReactActivity() {

    private val REQUEST_CODE_AUTHENTICATE: Int = 100

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val extasBunde = intent.extras
        val userToken = extasBunde.getString("userToken", "")

        val onboardingCommands = OnboardingCommands((this as AppCompatActivity) , userToken)

        onboardingCommands.authenticate(requestCode=REQUEST_CODE_AUTHENTICATE)
    }

   override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if(requestCode == REQUEST_CODE_AUTHENTICATE) {
            setResult(resultCode, data)
            finish()
        }
    }
}